#
# spec file for package kfontinst (Version 0.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam freetype2 freetype2-devel gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kfontinst
Copyright:	GPL
Group:		X11/KDE/Applications
Summary:      view and install fonts
Version:      0.10
Release:      97
Source0:	kfontinst-0.10.tar.gz
Patch0:		rootonly.dif

%description
KFontInst view installed and not installed fonts. It is also able to install Type 1 und TrueType
fonts and configure X, ghostscript, StarOffice and AbiWord.
You should read the help which is provided.

Authors:
--------
    Craig Drummond <cpdrummond@uklinux.net>

SuSE series: k2de

%prep
%setup -n kfontinst-0.10
%patch -p0 -E 

%build
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 -I/usr/include/freetype2/ " ./configure \
  --prefix=/opt/kde2 \
 --with-qt-dir=/usr/lib/qt2 \
  
make

%install
make install

%files
/opt/kde2/lib/libkcm_kfontinst.la
/opt/kde2/lib/libkcm_kfontinst.so
/opt/kde2/share/icons/hicolor/48x48/apps/kfontinst.png
/opt/kde2/share/icons/hicolor/32x32/apps/kfontinst.png
/opt/kde2/share/icons/locolor/16x16/apps/kfontinst.png
/opt/kde2/share/icons/locolor/32x32/apps/kfontinst.png
/opt/kde2/share/applnk/Settings/System//kfontinst.desktop
/opt/kde2/share/apps/kfontinst/pics/so.png
/opt/kde2/share/apps/kfontinst/StarOffice/microsoft-cp1252.xpp
%doc TODO README README.startkde AUTHORS ChangeLog COPYING 
/opt/kde2/share/doc/HTML/en/kcontrol/font-installer.html

%post
ldconfig -n /opt/kde2/lib

%changelog -n kfontinst
* Fri Sep 14 2001 - uwedr@suse.de
- susewm creates correct kfontinst.desktop now
  Bugzilla #10448
* Thu Aug 23 2001 - uwedr@suse.de
- update to 0.10
- reenabled XF 4.1.0 (still testing)
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
- disable XFT due to incompatibilities with XF 4.1
* Fri Jun 15 2001 - uwedr@suse.de
- update to 0.10b3
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Sun Jan 21 2001 - kukuk@suse.de
- Link ttf2pt1 against math lib
* Sat Jan 20 2001 - adrian@suse.de
- update to 0.9.2; make it usable ;-)
* Mon Jan 08 2001 - adrian@suse.de
- build fix. create dir with is packaged
* Wed Jan 03 2001 - adrian@suse.de
- Spec file created from kfontinst-0.9.1.tar.bz2 by autospec
